// pages/components/shareDialog/shareDialog.js
const getReq = require('../../../config').getReq;
let app = getApp();

Component({
  /**
   * 组件的属性列表
   */
  properties: {
    showDialog:{
      type:Boolean,
      value:false,
      observer:function(newVal,oldVal){
        console.log(this.properties);
        const _self = this;
        const parmas = this.properties;
        if(newVal == true) {
          _self.getDataTimer = setInterval(function(){
            let goods_id = parmas.goods_id
            if(goods_id > 0) {
              _self.requestData(goods_id);
            }
          },5000)
        }
        else {
          if(_self.getDataTimer) {
            clearInterval(this.getDataTimer)
          }
        }
      }
    },
    goods_id: {
      type: Number,
      observer() {
        console.log('observer goods_id = ', this.properties.goods_id)
        let goods_id = this.properties.goods_id
        if(goods_id > 0) {
          this.requestData(goods_id);
          this.setData({shareModel: app.cardShareInfo()})
        }
        else {

        }
      } 
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    current_goodsid:0,
    fGoodsRequesting: false,
    tip:'', 
    invitess:[],
    policy:[],
    tip_title:'',
    tip_num:0,
    shareModel:{}
  },

  pageLifetimes: {
    // 组件所在页面的生命周期函数
    show: function () {
      console.log('pageLifetimes goods_id = ', this.properties.goods_id)
     },
    hide: function () { 
      console.log('pageLifetimes goods_id = ', this.properties.goods_id)
    },
    resize: function () { },
  },

  lifetimes: {
    attached: function () {
      console.log('lifetimes attached')

      wx.getSetting({
        withSubscriptions: true,
        success(res) {
          var itemSettings = res.subscriptionsSetting.itemSettings
          console.log('setting:', itemSettings)
          if (itemSettings) {
            if (itemSettings['模版id'] === 'accept') {
              
            }
          }
        }
      })
    },
    detached: function () {
    },
  },

  /**
   * 组件的方法列表
   */
  methods: {
    onCloseDialog() {
      wx.requestSubscribeMessage({
        tmplIds: ['zBNktaey9EM2DcBzUNsjnAan2NvYpj_nKZDY__f9pGA'],
        success(res) {
          console.log(res)
        }
      })
      console.log('onCloseDialog');
      this.triggerEvent('closeDialog', {})
    },
    onShareInfo(){
      console.log('onShareInfo');
      this.triggerEvent('onShareInfo', {})
    },
    requestData(goods_id)
    {
      console.log('requestData goods_id=',goods_id)
      if (this.fGoodsRequesting) return;

      this.fGoodsRequesting = true
      getReq(app, {
        act: 'member_invitee',
        op: 'goods_share',
        goods_id: goods_id,
      }, (res) => {
          console.log('res:', res)
        if (res.code == 200) {
          if (res.datas) {
            let invitess = res.datas.invitess
            let policy = res.datas.policy 
            let tip_title = res.datas.tip_title
            let tip_num = res.datas.tip_num
            this.setData({ tip_title,tip_num,invitess, policy })
            
          }
        }
        this.fGoodsRequesting = false
      })
    }
  }
})
